# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.jadmin.options import JumboModelAdmin

from jmb.project.models import Project


class ProjectAdmin(JumboModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
            'classes': ('collapse',)
        }),
        (None, {
            'fields': (
                'organization', 'name', 'description',
                ('date_start', 'date_end',),
                'accepted'
            )
        }),
    )
    list_display = (
        'get_status_display', 'organization', 'name', 'date_start', 'date_end',
        'accepted', 'get_edit_icon', 'get_delete_icon',
    )

    advanced_search_fields = (
        ('name__icontains:project', 'organization__name__icontains:organization'),
        ('description__icontains',),
        ('date_create__gte', 'date_create__lte',),
        ('date_start__gte', 'date_start__lte',),
    )

admin.site.register(Project, ProjectAdmin)
