# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import datetime
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('organization', '__first__'),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=200, verbose_name='Name', db_index=True)),
                ('description', models.TextField(null=True, verbose_name='Description', blank=True)),
                ('date_start', models.DateField(default=datetime.date.today, verbose_name='Start Date', db_index=True)),
                ('date_end', models.DateField(db_index=True, null=True, verbose_name='End Date', blank=True)),
                ('accepted', models.BooleanField(default=False, db_index=True, verbose_name='Accepted')),
                ('creator', models.ForeignKey(related_name='project_project_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='project_project_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('organization', models.ForeignKey(related_name='projects', verbose_name='Organization', blank=True, to='organization.Organization', null=True)),
            ],
            options={
                'verbose_name': 'Project',
                'verbose_name_plural': 'Projects',
            },
        ),
    ]
